# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# Import by D.M.-Wilhelm (leiche) at Thu Jul 01 2010
# for LXDE
%define Werror_cflags %nil

%define prefix /usr
%define name deadbeef
%define version 0.7.2
%define release %mkrel 1
%define url http://deadbeef.sourceforge.net/about.html

#________________ deadbeef main ______________________________

Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License:   	GPL
Group:     	Sound
URL:      	%{url}
Source:      	%{name}-%{version}.tar.xz
Source1:	deadbeef.desktop
Summary:   	DeaDBeeF - Ultimate Music Player For GNU/Linux
Summary(de):   	DeaDBeeF - Ultimativer Musik Player für GNU/Linux
BuildRoot:   	%{_tmppath}/%{name}-buildroot
#----------------------------------------------------------
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cdda-devel
BuildRequires: %{_lib}cddb-devel
BuildRequires: %{_lib}cdio-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}faad2-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}imlib2-devel
BuildRequires: %{_lib}jansson-devel
BuildRequires: %{_lib}lastfm-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}mpg123-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}wavpack-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}zip-devel
BuildRequires: pkgconfig
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel
#----------------------------------------------------------
Obsoletes:   	%name < %version

%description
DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems 
with X11 (though now it also runs in plain console without X, in 
FreeBSD, and in OpenSolaris).

#german
%description -l de
DEADBEEF (wie in 0xDEADBEEF) ist ein Audioplayer für GNU/Linux-Systeme mit 
X11 (läuft jetzt auch ohne X-Konsole, in FreeBSD, OpenSolaris).

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/*
%{_libdir}/%{name}/*

#__________________________ devel_________________________
%package devel
Summary:   Development files for %{name}
Summary(de): Entwicklerdateien für %name
Group:      Development/Libraries
Requires:   %{name} = %{version}

%description devel
Development files and headers for %{name}.
#german
%description devel -l de
Entwicklerdateien und Headers für %name.

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}/*.so

#____________________ build area __________________________

%prep
%setup -q -n %{name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

%configure2_5x --disable-static 
   
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# Remove it, don't have unity support 
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/deadbeef.desktop

# install our starter file
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/applications/deadbeef.desktop

#remove uneeded files
rm -f %{buildroot}/%{_libdir}/%{name}/*.la

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

#______________ changelog ________________________________________

%changelog
* Fri Oct 28 2016 adrianomorselli <adrianomorselli> 0.7.2-1uplos2016
- rebuild

* Sat Apr 30 2016 bb <bb> 0.7.2-1pclos2016
- update and also try differnt build option

* Tue Mar 15 2016 bb <bb> 0.7.1-1pclos2016
- update

* Sat Feb 06 2016 bb <bb> 0.7.0-1pclos2016
- update

* Wed Dec 09 2015 bb <bb> 0.6.2-3pclos2015
- rebuild against updated libs

